//! Error handling.

pub use failure::{Error, Fail, format_err};

pub type ResultS<T> = Result<T, Error>;

pub fn err_msg<T>(s: &'static str) -> ResultS<T> {Err(failure::err_msg(s))}
pub fn err_msg_v (s: &'static str) -> Error      {    failure::err_msg(s) }

// EOF
